diff --git a/src/main/java/net/minecraft/client/gui/hud/component/HudComponents.java b/src/main/java/net/minecraft/client/gui/hud/component/HudComponents.java
index 71ec8c3c2..4ae51fb46 100644
--- a/src/main/java/net/minecraft/client/gui/hud/component/HudComponents.java
+++ b/src/main/java/net/minecraft/client/gui/hud/component/HudComponents.java
@@ -1,8 +1,8 @@
 package net.minecraft.client.gui.hud.component;
 
 import com.mojang.logging.LogUtils;
-import net.minecraft.client.gui.hud.component.layout.AbsoluteLayout;
-import net.minecraft.client.gui.hud.component.layout.SnapLayout;
+import net.minecraft.client.gui.hud.component.layout.LayoutAbsolute;
+import net.minecraft.client.gui.hud.component.layout.LayoutSnap;
 import org.slf4j.Logger;
 
 import java.util.ArrayList;
@@ -58,12 +58,12 @@ public class HudComponents {
         }
     }
 
-    public static final HudComponent HOTBAR = register(new HotbarComponent("hotbar", new AbsoluteLayout(0.5f, 1.0f, ComponentAnchor.BOTTOM_CENTER)));
-    public static final HudComponent CROSSHAIR = register(new CrosshairComponent("crosshair", new AbsoluteLayout(0.5f, 0.5f, ComponentAnchor.CENTER)));
-    public static final HudComponent HEALTH_BAR = register(new HealthBarComponent("health_bar", new SnapLayout(HOTBAR, ComponentAnchor.TOP_LEFT, ComponentAnchor.BOTTOM_LEFT)));
-    public static final HudComponent ARMOR_BAR = register(new ArmorBarComponent("armor_bar", new SnapLayout(HOTBAR, ComponentAnchor.TOP_RIGHT, ComponentAnchor.BOTTOM_RIGHT)));
-    public static final HudComponent OXYGEN_BAR = register(new OxygenBarComponent("oxygen_bar", new SnapLayout(HEALTH_BAR, ComponentAnchor.TOP_LEFT, ComponentAnchor.BOTTOM_LEFT)));
-    public static final HudComponent FIRE_BAR = register(new FireBarComponent("fire_bar", new SnapLayout(OXYGEN_BAR, ComponentAnchor.TOP_LEFT, ComponentAnchor.BOTTOM_LEFT)));
-    public static final HudComponent ROTATION_LOCK = register(new RotationLockComponent("rotation_lock", new SnapLayout(CROSSHAIR, ComponentAnchor.CENTER_RIGHT, ComponentAnchor.CENTER_LEFT)));
-    public static final HudComponent SUBTITLES = register(new SubtitleComponent("subtitles_box", 100, 50, new AbsoluteLayout(1.0f, 0.75f, ComponentAnchor.BOTTOM_RIGHT)));
+    public static final HudComponent HOTBAR = register(new HudComponentHotbar("hotbar", new LayoutAbsolute(0.5f, 1.0f, ComponentAnchor.BOTTOM_CENTER)));
+    public static final HudComponent CROSSHAIR = register(new HudComponentCrosshair("crosshair", new LayoutAbsolute(0.5f, 0.5f, ComponentAnchor.CENTER)));
+    public static final HudComponent HEALTH_BAR = register(new HudComponentHealthBar("health_bar", new LayoutSnap(HOTBAR, ComponentAnchor.TOP_LEFT, ComponentAnchor.BOTTOM_LEFT)));
+    public static final HudComponent ARMOR_BAR = register(new HudComponentArmorBar("armor_bar", new LayoutSnap(HOTBAR, ComponentAnchor.TOP_RIGHT, ComponentAnchor.BOTTOM_RIGHT)));
+    public static final HudComponent OXYGEN_BAR = register(new HudComponentOxygenBar("oxygen_bar", new LayoutSnap(HEALTH_BAR, ComponentAnchor.TOP_LEFT, ComponentAnchor.BOTTOM_LEFT)));
+    public static final HudComponent FIRE_BAR = register(new HudComponentFireBar("fire_bar", new LayoutSnap(OXYGEN_BAR, ComponentAnchor.TOP_LEFT, ComponentAnchor.BOTTOM_LEFT)));
+    public static final HudComponent ROTATION_LOCK = register(new HudComponentRotationLock("rotation_lock", new LayoutSnap(CROSSHAIR, ComponentAnchor.CENTER_RIGHT, ComponentAnchor.CENTER_LEFT)));
+    public static final HudComponent SUBTITLES = register(new HubComponentSubtitles("subtitles_box", 100, 50, new LayoutAbsolute(1.0f, 0.75f, ComponentAnchor.BOTTOM_RIGHT)));
 }
diff --git a/src/main/java/net/minecraft/client/gui/hud/component/layout/AbsoluteLayout.java b/src/main/java/net/minecraft/client/gui/hud/component/layout/LayoutAbsolute.java
similarity index 92%
rename from src/main/java/net/minecraft/client/gui/hud/component/layout/AbsoluteLayout.java
rename to src/main/java/net/minecraft/client/gui/hud/component/layout/LayoutAbsolute.java
index 07e10764a..5eb8a3caa 100644
--- a/src/main/java/net/minecraft/client/gui/hud/component/layout/AbsoluteLayout.java
+++ b/src/main/java/net/minecraft/client/gui/hud/component/layout/LayoutAbsolute.java
@@ -4,13 +4,13 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.hud.component.ComponentAnchor;
 import net.minecraft.client.gui.hud.component.HudComponent;
 
-public class AbsoluteLayout
+public class LayoutAbsolute
     extends Layout {
     private float xPosition;
     private float yPosition;
     private ComponentAnchor anchor;
 
-    public AbsoluteLayout(float xPosition, float yPosition, ComponentAnchor anchor) {
+    public LayoutAbsolute(float xPosition, float yPosition, ComponentAnchor anchor) {
         this.xPosition = xPosition;
         this.yPosition = yPosition;
         this.anchor = anchor;
@@ -54,7 +54,7 @@ public class AbsoluteLayout
 
     @Override
     public Layout copy() {
-        return new AbsoluteLayout(xPosition, yPosition, anchor);
+        return new LayoutAbsolute(xPosition, yPosition, anchor);
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/client/gui/hud/component/layout/SnapLayout.java b/src/main/java/net/minecraft/client/gui/hud/component/layout/LayoutSnap.java
similarity index 94%
rename from src/main/java/net/minecraft/client/gui/hud/component/layout/SnapLayout.java
rename to src/main/java/net/minecraft/client/gui/hud/component/layout/LayoutSnap.java
index 0f1cc5f93..40b7b996e 100644
--- a/src/main/java/net/minecraft/client/gui/hud/component/layout/SnapLayout.java
+++ b/src/main/java/net/minecraft/client/gui/hud/component/layout/LayoutSnap.java
@@ -5,13 +5,13 @@ import net.minecraft.client.gui.hud.component.ComponentAnchor;
 import net.minecraft.client.gui.hud.component.HudComponent;
 import net.minecraft.client.gui.hud.component.HudComponents;
 
-public class SnapLayout
+public class LayoutSnap
     extends Layout {
     private HudComponent parent;
     private ComponentAnchor parentAnchor;
     private ComponentAnchor anchor;
 
-    public SnapLayout(HudComponent parent, ComponentAnchor parentAnchor, ComponentAnchor anchor) {
+    public LayoutSnap(HudComponent parent, ComponentAnchor parentAnchor, ComponentAnchor anchor) {
         this.parent = parent;
         this.parentAnchor = parentAnchor;
         this.anchor = anchor;
@@ -61,7 +61,7 @@ public class SnapLayout
 
     @Override
     public Layout copy() {
-        return new SnapLayout(parent, parentAnchor, anchor);
+        return new LayoutSnap(parent, parentAnchor, anchor);
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/ModelViewerScreen.java b/src/main/java/net/minecraft/client/gui/modelviewer/ScreenModelViewer.java
similarity index 96%
rename from src/main/java/net/minecraft/client/gui/modelviewer/ModelViewerScreen.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/ScreenModelViewer.java
index fa26cf0c9..0f529e099 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/ModelViewerScreen.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/ScreenModelViewer.java
@@ -4,11 +4,11 @@ import com.b100.utils.ImageUtils;
 import com.mojang.logging.LogUtils;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ButtonElement;
-import net.minecraft.client.gui.PhotoModeScreen;
-import net.minecraft.client.gui.modelviewer.categories.BlockCategory;
-import net.minecraft.client.gui.modelviewer.categories.EntityCategory;
+import net.minecraft.client.gui.ScreenPhotoMode;
+import net.minecraft.client.gui.modelviewer.categories.ViewerCategoryBlock;
+import net.minecraft.client.gui.modelviewer.categories.ViewerCategoryEntity;
 import net.minecraft.client.gui.modelviewer.categories.ModelViewerCategory;
-import net.minecraft.client.gui.modelviewer.categories.ParticleCategory;
+import net.minecraft.client.gui.modelviewer.categories.ViewerCategoryParticle;
 import net.minecraft.client.gui.modelviewer.elements.ListenerButtonElement;
 import net.minecraft.client.gui.modelviewer.elements.ListenerSliderElement;
 import net.minecraft.client.gui.modelviewer.elements.ListenerTextFieldElement;
@@ -23,7 +23,7 @@ import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.render.texture.Texture;
 import net.minecraft.client.util.helper.Textures;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.util.helper.Buffer;
@@ -51,7 +51,7 @@ import static org.lwjgl.opengl.GL11.glGetError;
 import static org.lwjgl.opengl.GL11.glGetTexImage;
 import static org.lwjgl.opengl.GL11.glGetTexLevelParameteri;
 
-public class ModelViewerScreen extends PhotoModeScreen implements ListenerTextFieldElement.ITextChangeListener {
+public class ScreenModelViewer extends ScreenPhotoMode implements ListenerTextFieldElement.ITextChangeListener {
     private static final Logger LOGGER = LogUtils.getLogger();
     private ListenerButtonElement buttonRotateLeft;
     private ListenerButtonElement buttonRotateRight;
@@ -67,9 +67,9 @@ public class ModelViewerScreen extends PhotoModeScreen implements ListenerTextFi
     private ListenerButtonElement buttonCategory;
     private ListenerButtonElement buttonReloadTextures;
     private ListenerButtonElement buttonTickToggle;
-    private final ModelViewerCategory entityCategory = new EntityCategory(this);
-    private final ModelViewerCategory particleCategory = new ParticleCategory(this);
-    private final ModelViewerCategory blockCategory = new BlockCategory(this);
+    private final ModelViewerCategory entityCategory = new ViewerCategoryEntity(this);
+    private final ModelViewerCategory particleCategory = new ViewerCategoryParticle(this);
+    private final ModelViewerCategory blockCategory = new ViewerCategoryBlock(this);
     public final List<ModelViewerCategory> categories = new ArrayList<>();
     private ModelViewerCategory currentCategory;
     protected final int defaultRed = (int) (255 * 0.25f);
@@ -81,7 +81,7 @@ public class ModelViewerScreen extends PhotoModeScreen implements ListenerTextFi
 
     protected boolean tickProgress = true;
     protected boolean rotateToCamera = true;
-    public ModelViewerScreen(){
+    public ScreenModelViewer(){
         this.mc = Minecraft.getMinecraft(this);
         mc.thePlayer.absMoveTo(0.5, 64.5, 0.5, 180, 0);
         mc.thePlayer.noPhysics = true;
@@ -381,7 +381,7 @@ public class ModelViewerScreen extends PhotoModeScreen implements ListenerTextFi
 
         scroll(Mouse.getDWheel());
 
-        BlockEntityRenderDispatcher.instance.renderTileEntity(Tessellator.instance, new BlockEntity(), -0.5D, -0.75D, -0.5D, partialTick);
+        BlockEntityRenderDispatcher.instance.renderTileEntity(Tessellator.instance, new TileEntity(), -0.5D, -0.75D, -0.5D, partialTick);
 
         drawStringCentered(font, currentCategory.getCurrentDisplayInfo(I18n.getInstance()), width/2, 1, 0xffffff);
     }
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/ModelViewerCategory.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/ModelViewerCategory.java
index 92c1f75fe..851e99e9f 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/ModelViewerCategory.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/ModelViewerCategory.java
@@ -2,15 +2,15 @@ package net.minecraft.client.gui.modelviewer.categories;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ButtonElement;
-import net.minecraft.client.gui.modelviewer.ModelViewerScreen;
+import net.minecraft.client.gui.modelviewer.ScreenModelViewer;
 import net.minecraft.core.lang.I18n;
 
 import java.util.List;
 
 public abstract class ModelViewerCategory {
-    protected final ModelViewerScreen modelViewer;
+    protected final ScreenModelViewer modelViewer;
     protected final Minecraft mc;
-    public ModelViewerCategory(ModelViewerScreen modelViewer){
+    public ModelViewerCategory(ScreenModelViewer modelViewer){
         this.modelViewer = modelViewer;
         this.mc = Minecraft.getMinecraft(this);
     }
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/BlockCategory.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/ViewerCategoryBlock.java
similarity index 89%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/BlockCategory.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/ViewerCategoryBlock.java
index f35573bcb..e25a8e13a 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/BlockCategory.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/ViewerCategoryBlock.java
@@ -1,16 +1,16 @@
 package net.minecraft.client.gui.modelviewer.categories;
 
 import net.minecraft.client.gui.ButtonElement;
-import net.minecraft.client.gui.modelviewer.ModelViewerScreen;
-import net.minecraft.client.gui.modelviewer.categories.entries.block.BasicBlockEntry;
+import net.minecraft.client.gui.modelviewer.ScreenModelViewer;
+import net.minecraft.client.gui.modelviewer.categories.entries.block.BlockEntryBasic;
 import net.minecraft.client.gui.modelviewer.categories.entries.block.BlockEntry;
-import net.minecraft.client.gui.modelviewer.categories.entries.block.JarEntry;
-import net.minecraft.client.gui.modelviewer.categories.entries.block.MobSpawnerEntry;
-import net.minecraft.client.gui.modelviewer.categories.entries.block.SignEntry;
+import net.minecraft.client.gui.modelviewer.categories.entries.block.BlockEntryJar;
+import net.minecraft.client.gui.modelviewer.categories.entries.block.BlockEntryMobSpawner;
+import net.minecraft.client.gui.modelviewer.categories.entries.block.BlockEntrySign;
 import net.minecraft.client.gui.modelviewer.elements.TextCycleElement;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.entity.ItemEntity;
+import net.minecraft.core.entity.EntityItem;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.lang.I18n;
@@ -20,23 +20,23 @@ import net.minecraft.core.world.chunk.DisplayChunk;
 import java.util.HashMap;
 import java.util.List;
 
-public class BlockCategory extends ModelViewerCategory {
+public class ViewerCategoryBlock extends ModelViewerCategory {
     public HashMap<Block, BlockEntry> entryHashMap = new HashMap<>();
     public TextCycleElement<Integer> blockIdTextField;
     public TextCycleElement<Integer> blockMetaTextField;
-    public BlockCategory(ModelViewerScreen modelViewer) {
+    public ViewerCategoryBlock(ScreenModelViewer modelViewer) {
         super(modelViewer);
         createEntries();
     }
     public void createEntries(){
         for (Block block : Block.blocksList){
             if (block == null) continue;
-            entryHashMap.put(block, new BasicBlockEntry(block));
+            entryHashMap.put(block, new BlockEntryBasic(block));
         }
-        entryHashMap.put(Blocks.SIGN_WALL_PLANKS_OAK, new SignEntry(Blocks.SIGN_WALL_PLANKS_OAK));
-        entryHashMap.put(Blocks.SIGN_POST_PLANKS_OAK, new SignEntry(Blocks.SIGN_POST_PLANKS_OAK));
-        entryHashMap.put(Blocks.MOBSPAWNER, new MobSpawnerEntry());
-        entryHashMap.put(Blocks.JAR_GLASS, new JarEntry());
+        entryHashMap.put(Blocks.SIGN_WALL_PLANKS_OAK, new BlockEntrySign(Blocks.SIGN_WALL_PLANKS_OAK));
+        entryHashMap.put(Blocks.SIGN_POST_PLANKS_OAK, new BlockEntrySign(Blocks.SIGN_POST_PLANKS_OAK));
+        entryHashMap.put(Blocks.MOBSPAWNER, new BlockEntryMobSpawner());
+        entryHashMap.put(Blocks.JAR_GLASS, new BlockEntryJar());
     }
 
     @Override
@@ -50,7 +50,7 @@ public class BlockCategory extends ModelViewerCategory {
         String name = "None";
         if (displayBlock != null){
             name = I18n.getInstance().translateNameKey(displayBlock.getKey());
-            ItemStack[] nameStack = displayBlock.getBreakResult(mc.theWorld, EnumDropCause.PICK_BLOCK, DisplayChunk.displayBlockPosX, DisplayChunk.displayBlockPosY, DisplayChunk.displayBlockPosZ, DisplayChunk.displayBlockMeta, DisplayChunk.displayBlockEntity);
+            ItemStack[] nameStack = displayBlock.getBreakResult(mc.theWorld, EnumDropCause.PICK_BLOCK, DisplayChunk.displayBlockPosX, DisplayChunk.displayBlockPosY, DisplayChunk.displayBlockPosZ, DisplayChunk.displayBlockMeta, DisplayChunk.displayTileEntity);
             if (nameStack != null && nameStack.length > 0){
                 name = nameStack[0].getDisplayName();
             }
@@ -72,7 +72,7 @@ public class BlockCategory extends ModelViewerCategory {
         blockIdTextField = new TextCycleElement<Integer>(modelViewer, mc.font, modelViewer.width - 120, lastButton.yPosition + 21, 120, 20, DisplayChunk.displayBlockId) {
             @Override
             public Integer cycleElement(Integer current, int offset) {
-                return ModelViewerScreen.cycleBlockId(current, offset);
+                return ScreenModelViewer.cycleBlockId(current, offset);
             }
 
             @Override
@@ -167,7 +167,7 @@ public class BlockCategory extends ModelViewerCategory {
             entry.onTick(mc.theWorld, DisplayChunk.displayBlockMeta);
         }
         // Delete any items blocks create when added/removed
-        mc.theWorld.loadedEntityList.removeIf(entity -> entity instanceof ItemEntity);
+        mc.theWorld.loadedEntityList.removeIf(entity -> entity instanceof EntityItem);
     }
     public void setDisplayBlock(int id, int meta){
         Block displayBlock = Block.blocksList[DisplayChunk.displayBlockId];
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/EntityCategory.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/ViewerCategoryEntity.java
similarity index 84%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/EntityCategory.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/ViewerCategoryEntity.java
index 92f79c0eb..14b7f768d 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/EntityCategory.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/ViewerCategoryEntity.java
@@ -1,28 +1,28 @@
 package net.minecraft.client.gui.modelviewer.categories;
 
 import net.minecraft.client.gui.ButtonElement;
-import net.minecraft.client.gui.modelviewer.ModelViewerScreen;
-import net.minecraft.client.gui.modelviewer.categories.entries.entity.DispatcherEntry;
-import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityArmoredZombieEntry;
-import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityBoatEntry;
-import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityCreeperEntry;
+import net.minecraft.client.gui.modelviewer.ScreenModelViewer;
+import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityEntryDispatcher;
+import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityEntryArmoredZombie;
+import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityEntryBoat;
+import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityEntryCreeper;
 import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityEntry;
-import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityFallingSandEntry;
-import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityFireflyEntry;
-import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityItemEntry;
-import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityMinecartEntry;
-import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityPaintingEntry;
-import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntitySheepEntry;
-import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntitySlimeEntry;
-import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityTNTEntry;
-import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityWolfEntry;
+import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityEntryFallingBlock;
+import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityEntryFirefly;
+import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityEntryItem;
+import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityEntryMinecart;
+import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityEntryPainting;
+import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityEntrySheep;
+import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityEntrySlime;
+import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityEntryTNT;
+import net.minecraft.client.gui.modelviewer.categories.entries.entity.EntityEntryWolf;
 import net.minecraft.client.gui.modelviewer.elements.ListenerTextFieldElement;
 import net.minecraft.client.gui.modelviewer.elements.TextCycleElement;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityDispatcher;
 import net.minecraft.core.entity.Mob;
-import net.minecraft.core.entity.monster.HumanMob;
-import net.minecraft.core.entity.monster.ZombieMob;
+import net.minecraft.core.entity.monster.MobHuman;
+import net.minecraft.core.entity.monster.MobZombie;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.util.helper.MathHelper;
 
@@ -30,35 +30,35 @@ import java.util.ArrayList;
 import java.util.HashMap;
 import java.util.List;
 
-public class EntityCategory extends ModelViewerCategory{
+public class ViewerCategoryEntity extends ModelViewerCategory{
     public HashMap<Class<? extends Entity>, EntityEntry<?>> entryMap = new HashMap<>();
     public List<EntityEntry<?>> entryList = new ArrayList<>();
     public ListenerTextFieldElement entityName;
     public TextCycleElement<Integer> entityVariant;
     public EntityEntry<?> currentEntry = EntityEntry.blankEntry;
     public Entity displayEntity;
-    public EntityCategory(ModelViewerScreen modelViewer) {
+    public ViewerCategoryEntity(ScreenModelViewer modelViewer) {
         super(modelViewer);
         createEntries();
     }
     public void createEntries(){
         for (String s : EntityDispatcher.classToKeyMap.values()){
             try{
-                addEntry(new DispatcherEntry(s));
+                addEntry(new EntityEntryDispatcher(s));
             } catch (Exception ignore){}
         }
-        addEntry(new EntityItemEntry());
-        addEntry(new EntityFireflyEntry());
-        addEntry(new EntitySheepEntry());
-        addEntry(new EntityWolfEntry());
-        addEntry(new EntityCreeperEntry());
-        addEntry(new EntityArmoredZombieEntry());
-        addEntry(new EntitySlimeEntry());
-        addEntry(new EntityMinecartEntry());
-        addEntry(new EntityBoatEntry());
-        addEntry(new EntityFallingSandEntry());
-        addEntry(new EntityTNTEntry());
-        addEntry(new EntityPaintingEntry());
+        addEntry(new EntityEntryItem());
+        addEntry(new EntityEntryFirefly());
+        addEntry(new EntityEntrySheep());
+        addEntry(new EntityEntryWolf());
+        addEntry(new EntityEntryCreeper());
+        addEntry(new EntityEntryArmoredZombie());
+        addEntry(new EntityEntrySlime());
+        addEntry(new EntityEntryMinecart());
+        addEntry(new EntityEntryBoat());
+        addEntry(new EntityEntryFallingBlock());
+        addEntry(new EntityEntryTNT());
+        addEntry(new EntityEntryPainting());
     }
     public void addEntry(EntityEntry<?> entry){
         Entity entity = entry.getEntityInstance(mc, mc.theWorld);
@@ -151,7 +151,7 @@ public class EntityCategory extends ModelViewerCategory{
 
     @Override
     public void onOpen() {
-        currentEntry = entryMap.get(ZombieMob.class);
+        currentEntry = entryMap.get(MobZombie.class);
         currentEntry.onOpen();
         setDisplayEntity(currentEntry.getEntityInstance(mc, mc.theWorld));
     }
@@ -168,7 +168,7 @@ public class EntityCategory extends ModelViewerCategory{
             displayEntity.tickCount++;
             getEntry(displayEntity).onTick(displayEntity);
         }
-        if (!(displayEntity instanceof HumanMob) || System.currentTimeMillis() > modelViewer.timeLastKeyPressed + 1000){
+        if (!(displayEntity instanceof MobHuman) || System.currentTimeMillis() > modelViewer.timeLastKeyPressed + 1000){
             if (displayEntity != null && displayEntity instanceof Mob){
                 String oldNick = ((Mob) displayEntity).nickname;
                 if (!oldNick.equals(entityName.getText())){
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/ParticleCategory.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/ViewerCategoryParticle.java
similarity index 84%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/ParticleCategory.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/ViewerCategoryParticle.java
index 5d9d2fc1e..88b969c67 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/ParticleCategory.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/ViewerCategoryParticle.java
@@ -2,15 +2,15 @@ package net.minecraft.client.gui.modelviewer.categories;
 
 import net.minecraft.client.entity.particle.ParticleDispatcher;
 import net.minecraft.client.gui.ButtonElement;
-import net.minecraft.client.gui.modelviewer.ModelViewerScreen;
-import net.minecraft.client.gui.modelviewer.categories.entries.particle.BlockFXEntry;
-import net.minecraft.client.gui.modelviewer.categories.entries.particle.BubbleFXEntry;
-import net.minecraft.client.gui.modelviewer.categories.entries.particle.GenericFXEntry;
-import net.minecraft.client.gui.modelviewer.categories.entries.particle.ItemFXEntry;
-import net.minecraft.client.gui.modelviewer.categories.entries.particle.LeafFXEntry;
-import net.minecraft.client.gui.modelviewer.categories.entries.particle.NoteFXEntry;
+import net.minecraft.client.gui.modelviewer.ScreenModelViewer;
+import net.minecraft.client.gui.modelviewer.categories.entries.particle.ParticleEntryBlock;
+import net.minecraft.client.gui.modelviewer.categories.entries.particle.ParticleEntryBubble;
+import net.minecraft.client.gui.modelviewer.categories.entries.particle.ParticleEntryGeneric;
+import net.minecraft.client.gui.modelviewer.categories.entries.particle.ParticleEntryItem;
+import net.minecraft.client.gui.modelviewer.categories.entries.particle.ParticleEntryLeaf;
+import net.minecraft.client.gui.modelviewer.categories.entries.particle.ParticleEntryNote;
 import net.minecraft.client.gui.modelviewer.categories.entries.particle.ParticleEntry;
-import net.minecraft.client.gui.modelviewer.categories.entries.particle.RedDustFXEntry;
+import net.minecraft.client.gui.modelviewer.categories.entries.particle.ParticleEntryRedstone;
 import net.minecraft.client.gui.modelviewer.elements.ListenerSliderElement;
 import net.minecraft.core.lang.I18n;
 
@@ -20,13 +20,13 @@ import java.util.HashMap;
 import java.util.List;
 import java.util.Map;
 
-public class ParticleCategory extends ModelViewerCategory{
+public class ViewerCategoryParticle extends ModelViewerCategory{
     public Map<String, ParticleEntry> entryMap = new HashMap<>();
     public List<ParticleEntry> entriesList;
     public double spawnRadius = 0;
     public ParticleEntry currentEntry;
 
-    public ParticleCategory(ModelViewerScreen modelViewer) {
+    public ViewerCategoryParticle(ScreenModelViewer modelViewer) {
         super(modelViewer);
         initEntries();
         entriesList = new ArrayList<>(entryMap.values());
@@ -34,14 +34,14 @@ public class ParticleCategory extends ModelViewerCategory{
     }
     private void initEntries(){
         for (String s : ParticleDispatcher.getInstance().getParticleIds()){
-            entryMap.put(s, new GenericFXEntry(s));
+            entryMap.put(s, new ParticleEntryGeneric(s));
         }
-        entryMap.put("bubble", new BubbleFXEntry());
-        entryMap.put("note", new NoteFXEntry());
-        entryMap.put("reddust", new RedDustFXEntry());
-        entryMap.put("item", new ItemFXEntry());
-        entryMap.put("block", new BlockFXEntry());
-        entryMap.put("fallingleaf", new LeafFXEntry());
+        entryMap.put("bubble", new ParticleEntryBubble());
+        entryMap.put("note", new ParticleEntryNote());
+        entryMap.put("reddust", new ParticleEntryRedstone());
+        entryMap.put("item", new ParticleEntryItem());
+        entryMap.put("block", new ParticleEntryBlock());
+        entryMap.put("fallingleaf", new ParticleEntryLeaf());
     }
     private void setCurrentEntry(ParticleEntry entry){
         if (currentEntry != null){
diff --git a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/BasicBlockEntry.java b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/BlockEntryBasic.java
similarity index 88%
rename from src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/BasicBlockEntry.java
rename to src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/BlockEntryBasic.java
index a7244732d..e55c7746b 100644
--- a/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/BasicBlockEntry.java
+++ b/src/main/java/net/minecraft/client/gui/modelviewer/categories/entries/block/BlockEntryBasic.java
@@ -8,8 +8,8 @@ import net.minecraft.core.world.World;
 
 import java.util.List;
 
-public class BasicBlockEntry extends BlockEntry{
-    public BasicBlockEntry(Block block) {
+public class BlockEntryBasic extends BlockEntry{
+    public BlockEntryBasic(Block block) {
         super(block);
     }
 
